"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
// The history methods 'pushState' and 'replaceState' by default do not fire an event
// unless it is coming from user interaction with the browser navigation bar,
// so we are adding a patch to make them detectable
var isPatched = false;
exports.patchHistoryMethodsOnce = function () {
    if (isPatched)
        return;
    var methods = ['pushState', 'replaceState'];
    methods.forEach(function (method) {
        var original = history[method];
        history[method] = function (state) {
            // eslint-disable-next-line prefer-rest-params
            var result = original.apply(this, arguments);
            var event = new Event(method.toLowerCase());
            event.state = state;
            window.dispatchEvent(event);
            return result;
        };
    });
    isPatched = true;
};
exports.normalizeEntriesData = function (data) {
    return data.reduce(function (acc, _a) {
        var key = _a[0], val = _a[1];
        acc[key] = val;
        return acc;
    }, {});
};
